export const setupSegmentWrapperConfig = async domain => {
  const [{infojobsVisitorId: visitorId}, site, vertical] = await Promise.all([
    domain.get('get_visitor_ids_tracking_use_case').execute(),
    domain.get('config').get('PORTAL'),
    domain.get('config').get('VERTICAL')
  ])

  window.__mpi = {
    segmentWrapper: {
      facebookPixelId: 283351338713870,
      googleAdsPixelId: 1024323628,
      defaultProperties: {
        site
      },
      getCustomAdobeVisitorId: () => {
        return Promise.resolve(visitorId)
      },
      tcfTrackDefaultProperties: {
        vertical
      }
    }
  }
}
